# Method: customers.devices.delete

- [HTTP request](https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/customers.devices/delete#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/customers.devices/delete#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/customers.devices/delete#body.request_body)
- [Response body](https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/customers.devices/delete#body.response_body)
- [Authorization Scopes](https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/customers.devices/delete#body.aspect)

Deletes a `https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/customers.deployments.devices#Device`.

### HTTP request

`DELETE https://sasportal.googleapis.com/v1alpha1/{name=customers/*/devices/*}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. The name of the device. |

### Request body

The request body must be empty.

### Response body

If successful, the response body is empty.

### Authorization Scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/sasportal`